    ifndef _ad9835_h
        #define _ad9835_h



;**************************************************
;
; (C) Copyright notice
;
; Written by Richard Prinz.
; Copyright 2003 by Richard Prinz.
; OE1RIB Richard.Prinz@MIN.at
;
; Permission to use, copy, and modify this program
; without restriction is hereby granted, as long as
;
; 1) this copyright notice appears in each copy of
;    the program source code and
;
; 2) the source code is not used for commercial
;    purposes.
;
; This program is freely distributable without
; licensing fees and is provided without guarantee
; or warrantee expressed or implied.
;
; This program is -not- in the public domain.
;
;**************************************************



;**************************************************
;
;       AD9835 Definitions
;
;**************************************************

#define                 PHASE0          B'00000000'
#define                 PHASE1          B'00000010'
#define                 PHASE2          B'00000100'
#define                 PHASE3          B'00000110'
#define                 FREQ0           B'00000000'
#define                 FREQ1           B'00000100'
#define                 CURRENT_FREQ    0
#define                 SELECT_MODE     1
#define                 ENABLED         2
#define                     PIN             0
#define                     REGISTER        1
#define                 TFLAG0          6
#define                 TFLAG1          7



;**************************************************
;
;       AD9835 Variables
;
;**************************************************

                cblock
FREQ_H
FREQ_M
FREQ_M1
FREQ_L
FREQ_TEMP

PHASE_H
PHASE_L
PHASE_TEMP

DDS_H
DDS_L
DDS_STATUS
DDS_BIT_TEMP
                endc

    endif
